org.apache.xmlbeans

## Class ThreadLocalUtil

- java.lang.Object
- - org.apache.xmlbeans.ThreadLocalUtil

-     public class ThreadLocalUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadLocalUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearAllThreadLocals()` Clear `ThreadLocal`s of the current thread.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadLocalUtil

          public ThreadLocalUtil()

  - ### Method Detail

    - #### clearAllThreadLocals

          public static void clearAllThreadLocals()

      Clear `ThreadLocal`s of the current thread. This can be used to clean out a thread before "returning" it to a thread-pool or a Web-Container like Tomcat.